### Function

# Snapd ProgressCallback

since: 1.0

#### Declaration

    void
    (* SnapdProgressCallback) (
      SnapdClient* client,
      SnapdChange* change,
      gpointer deprecated,
      gpointer user_data
    )

#### Description [src]

Signature for callback function used in snapd_client_connect_interface_sync(), snapd_client_disconnect_interface_async(), snapd_client_install2_sync(), snapd_client_refresh_sync(), snapd_client_remove2_sync(), `snapd_client_enable_sync()` and snapd_client_disable_sync().

Available since: 1.0

#### Parameters

`client`

  Type: `SnapdClient`

  A `SnapdClient`.

  The data is owned by the caller of the function.

`change`

  Type: `SnapdChange`

  A `SnapdChange` describing the change in progress.

  The data is owned by the caller of the function.

`deprecated`

  Type: `gpointer`

  A deprecated field that is no longer used.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.